Get Environment Group
get
/rpa/v1/environmentGroups/{identifier}
Gets a Environment Group by identifier
Request
Path Parameters
-
identifier(required): string
Unique Environment Group Identifier
Query Parameters
-
projectId(required): string
Project identifier
-
q: string
A filter to search resources by name, identifier, or description. The search query can be a simple string or a JSON object with operators and criteria. Example JSON format: { "operator": "AND", "criteria": [ {"name": "example"}, {"version": "1.0"} ] }
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Retrieves the Environment Group with the given id
Headers
-
etag:
For optimistic concurrency control. See `if-match`.
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : EnvironmentGroup
Type:
objectDetails of Environment Group
Show Source
-
associatedEnvironments: array
associatedEnvironments
The associated environments. Only when areAssociatedEnvironmentsNeeded queri parameter is true
-
autonomousConfig: object
AutonomousEnvironmentPoolConfig
Holds Autonomous Environment Pool Specification
-
createdBy: string
user Id whom created the Env. Group
-
description: string
Minimum Length:
0Maximum Length:1024Description of the Env. Group. -
displayName(required): string
Maximum Length:
50User friendly display name for the environment group -
identifier: string
Maximum Length:
32Envrinoment Group identifier - isSharedEnvironmentGroup: boolean
-
keywords: string
Minimum Length:
0Maximum Length:1024Keywords. -
lifecycleState: string
Allowed Values:
[ "ACTIVE" ]The current state of the environment group -
subType: string
Allowed Values:
[ "CUSTOMER_MANAGED", "ORACLE_MANAGED" ]Ownership model. -
timeCreated: string
(date-time)
The time at which environment group was created. An RFC3339 formatted datetime string.
-
timeUpdated: string
(date-time)
The time at which environment group was last updated. An RFC3339 formatted datetime string
-
type: string
Allowed Values:
[ "AUTONOMOUS", "MANUAL" ]Pool management mode. -
updatedBy: string
user Id whom made the last update
Nested Schema : associatedEnvironments
Type:
arrayThe associated environments. Only when areAssociatedEnvironmentsNeeded queri parameter is true
Show Source
-
Array of:
object EnvironmentSummary
Summary of an environment
Nested Schema : AutonomousEnvironmentPoolConfig
Type:
objectHolds Autonomous Environment Pool Specification
Show Source
-
availabilityDomain: string
Availability Domain ID.
-
category: string
Allowed Values:
[ "REMOTE_INSTANCE_POOL" ]Type of backend for the environment specification -
instancePoolId(required): string
OCID of the instance pool associated with this environment
-
lifecycleConfig: object
EnvironmentLifecycleConfig
Agent Lifecycle Management
-
region: string
Region identifier where the instance pool is deployed
-
scalingConfig(required): object
EnvironmentScalingConfig
Holds ScalingConfig
Nested Schema : EnvironmentSummary
Type:
objectSummary of an environment
Show Source
-
agentVersion: string
Minimum Length:
1Maximum Length:50The agent version. -
createdBy: string
Records the user who create the environment.
-
description: string
User given description of the environment.
-
displayName(required): string
User friendly display name for the environment.
-
environmentGroupDisplayName(required): string
The environment group display name if this environment is added to the environment group.
-
environmentGroupIdentifier(required): string
The environment group identifier if this environment is added to the environment group.
-
environmentType: string
The type of the environment.
-
identifier(required): string
Unique identifier that is immutable on creation.
-
instanceMetadataProperties: object
instanceMetadataProperties
Additional Properties Allowed: additionalPropertiesMap
for the instance Metadata System Properties -
keywords: string
The keywords of the environment given by user.
-
lifecycleState(required): string
The current state of the environment.
-
previousAgentVersion: string
The previous agent version.
-
projectId(required): string
The environment group project Id if this environment is added to the environment group.
-
systemProperties: object
systemProperties
Additional Properties Allowed: additionalPropertiesMap
for the Environment System Properties -
timeAgentVersionUpdated: string
(date-time)
The time at which agent version was last updated.
-
timeCreated: string
(date-time)
The time at which environment was created. An RFC3339 formatted datetime string.
-
timeUpdated: string
(date-time)
The time at which environment was last updated. An RFC3339 formatted datetime string.
-
updatedBy: string
Records to user who last update the environment.
Nested Schema : instanceMetadataProperties
Type:
objectAdditional Properties Allowed
Show Source
-
string
Minimum Length:
0Maximum Length:1024
Map for the instance Metadata System Properties
Example:
{
"InstanceId":"ocid.instance",
"InstancePoolId":"ocid.instancePool",
"CompartmentId":"ocid.compartment",
"Region":"us-ashburn-1"
}Nested Schema : systemProperties
Type:
objectAdditional Properties Allowed
Show Source
-
string
Minimum Length:
0Maximum Length:1024
Map for the Environment System Properties
Example:
{
"HostName":"JANEDOE-MACBOOKPRO",
"OperatingSystemVersion":"12.6.5",
"OperatingSystemName":"Mac OS X",
"OperatingSystemArchitecture":"x86_64",
"IPAddress":"10.0.1.3",
"MacAddress":"F8-4D-89-87-F6-9D"
}Nested Schema : EnvironmentLifecycleConfig
Type:
objectAgent Lifecycle Management
Show Source
-
isAutoUpgrade(required): boolean
Auto upgrade agents?
-
retirementPolicy: string
Agent retirement policy.
Nested Schema : EnvironmentScalingConfig
Type:
objectHolds ScalingConfig
Show Source
-
evaluationMode: string
Allowed Values:
[ "AVERAGE", "MAX", "MEDIAN", "WEIGHTED_AVG", "P95", "P99" ]probing duration in sec. -
maxAgentVm(required): integer
Maximum agent VM count.
-
maxVmProvisionedAtOnce: integer
maximum number of VM can be provisioned at a time.
-
metricIntervalSec: integer
how often metrics are collected.
-
minAgentVm(required): integer
Minimum agent VM count.
-
noOfAgentPerVm: integer
Number of agent per VM
-
probingDurationSec: integer
probing duration in sec.
-
scaleInRule(required): object
EnvironmentScaleRule
Holds ScaleRule
-
scaleOutRule(required): object
EnvironmentScaleRule
Holds ScaleRule
Nested Schema : EnvironmentScaleRule
Type:
objectHolds ScaleRule
Show Source
-
cooldownPeriodSec: integer
Cooldown period (sec).
-
utilizationThreshold(required): integer
Utilization threshold (%).
400 Response
Bad Request
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
401 Response
Unauthorized
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
404 Response
Not Found
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
429 Response
Too Many Requests
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
500 Response
Internal Server Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Default Response
Unknown Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.